Skip to content

getShipmentTracking

READ

Get shipment tracking.

POST /api/v1/inventory/getShipmentTracking
curl -X POST '<your-host>/api/v1/inventory/getShipmentTracking' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shipmentId": "string"
  }'
Response
{
  "results": [
    {
      "attributes": "…",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "expirationDate": "string",
      "id": "string",
      "itemId": "string",
      "quantity": 0,
      "readableId": "string",
      "sourceDocument": "string",
      "sourceDocumentId": "string",
      "sourceDocumentReadableId": "string",
      "status": "Rejected",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "shipmentId": {
      "type": "string"
    }
  },
  "required": [
    "shipmentId"
  ]
}